# 202505.2.0
* Updates to OneTrust 202505.2.0

# 202505.1.7
* Updates to OneTrust 202505.1.7

# 202505.1.3
* Updates to OneTrust 202505.1.3

# 202505.1.0
* Updates to OneTrust 202505.1.0

# 202504.1.0
* Updates to OneTrust 202504.1.0
* Added support to fallback to older API for iOS.

# 202503.2.0
* Updates to OneTrust 202503.2.0

# 202503.1.0
* Updates to OneTrust 202503.1.0

# 202502.1.4
* Updates to OneTrust 202502.1.4

# 202502.1.0
* Updates to OneTrust 202502.1.0

# 202501.2.0
* Updates to OneTrust 202501.2.0

# 202501.1.0
* Updates to OneTrust 202501.1.0

# 202411.2.0
* Updates to OneTrust 202411.2.0

# 202411.1.0
* Updates to OneTrust 202411.1.0

# 202410.1.0
* Updates to OneTrust 202410.1.0

# 202409.2.0
* Vulnerability Fix. Upgraded "tough-cookie" to version 5.0.0 from 3.0.1.
* Updates to OneTrust 202409.2.0

# 202409.1.0
* Updates to OneTrust 202409.1.0

# 202408.1.0
* Updates to OneTrust 202408.1.0
* Fixed cross device sync issue with the Android platform

# 202407.2.0
* Updates to OneTrust 202407.2.0
* Updated README.md file details with the React native onetrust developer portal url. Please refer to the onetrust developer portal for updated details.
* The OneTrust SDK supports the ability to customize log types printed to the console.You can control this log level by passing in your preferred minimum log level to `enableOTSDKLog()` method.
* Supporting `getOTGoogleConsentModeData()` method now.

# 202407.1.0
* Updates to OneTrust 202407.1.0

# 202406.1.0
* Updates to OneTrust 202406.1.0
* `listenForConsentChanges` function returns `EmitterSubscription` object now. Application can unsubscribe from emitter based on the Application lifecycle. 

# 202405.2.0
* Updates to OneTrust 202405.2.0
* Fixed an issue where SDK could not invoke `OneTrust.listenforConsentChanges`.

# 202405.1.0
* Updates to OneTrust 202405.1.0

# 202404.1.0
* Updates to OneTrust 202404.1.0

# 202403.2.0
* Updates to OneTrust 202403.2.0

# 202403.1.3
* We are supporting tvOS now. 
* Set minimum Cocoapods deployment target to iOS/tvOS 12
* Updates to OneTrust 202403.1.3

# 202402.1.1
* Fixed a build issue related to registering BroadCastReceiver with Android 14.
* Updates to OneTrust 202402.1.1

# 202402.1.0
* Updates to OneTrust 202402.1.0

# 202401.2.2
* Updates to OneTrust 202401.2.2

# 202401.2.0
* Updates to OneTrust 202401.2.0

# 202401.1.0
* Updates to OneTrust 202401.1.0

# 202312.1.0
* Updates to OneTrust 202312.1.0

# 202311.1.3
* Updates to OneTrust 202311.1.3

# 202311.1.0
* Updates to OneTrust 202311.1.0

# 202310.2.7
* Updates to OneTrust 202310.2.7

# 202310.2.3
* Updates to OneTrust 202310.2.3

# 202310.2.0
* Updates to OneTrust 202310.2.0

# 202310.1.5
* Updates to OneTrust 202310.1.5

# 202310.1.3
* Updates to OneTrust 202310.1.3

# 202310.1.0
* Updates to OneTrust 202310.1.0

# 202309.1.0
* Updates to OneTrust 202309.1.0

# 202308.2.6
* Updates to OneTrust 202308.2.6

# 202308.2.0
* Updates to OneTrust 202308.2.0

# 202308.1.0
* Updates to OneTrust 202308.1.0

# 202307.1.0
* Updates to OneTrust 202307.1.0

# 202306.2.0
* Updates to OneTrust 202306.2.0

# 202306.1.0
* Updates to OneTrust 202306.1.0

# 202305.1.4
* Updates to OneTrust 202305.1.4

# 202305.1.0
* Updates to OneTrust 202305.1.0

# 202304.1.0
* Updates to OneTrust 202304.1.0

# 202303.2.0
* Updates to OneTrust 202303.2.0

# 202303.2.0
* Android + iOS: Exposed a menthod to save and log consent for interactions.`saveConsent(:)` is the method and parameter can be from enum `OTConsentInteraction`

# 202303.1.0
* Updates to OneTrust 202303.1.0

# 202302.1.0
* Updates to OneTrust 202302.1.0

# 202301.2.0
* Updates to OneTrust 202301.2.0

# 202301.1.0
* Updates to OneTrust 202301.1.0

# 202212.1.0
* Updates to OneTrust 202212.1.0

# 202211.2.0
* Updates to OneTrust 202211.2.0

# 202211.1.0
* Updates to OneTrust 202211.1.0
* Fixed build issue with react native due to publish of React Native version 0.71.0-rc0.
* Adding support for React 18 and React Native .64.

# 202210.1.0
* Updates to OneTrust 202210.1.0

# 202209.2.0
* Updates to OneTrust 202209.2.0

# 202209.1.1
* Updates to OneTrust 202209.1.0

# 202209.01.0
* Updates to OneTrust 202209.1.0

# 202208.01.0
* Updates to OneTrust 202208.01.0
  
# 6.39.0
* Updates to OneTrust 6.39.0

# 6.38.0
* Updates to OneTrust 6.38.0

# 6.37.0
* Updates to OneTrust 6.37.0
* Android + iOS : Added getConsentStatusForSDKId to get consent status for given SDKId.

# 6.36.0
* Updates to OneTrust 6.36.0
* Android: Resolves Gradle 7 Build Issue (Android)
* Android: Forces UI Methods (showBannerUI, showPreferenceCenterUI) to run on the main thread for better compatibility with newer versions of AppCompatActivity
* Android + iOS: Updates logic for saving Universal Consent preferences

# 6.35.0
* Updates to OneTrust 6.35.0

# 6.34.1
* Updates to OneTrust 6.34.1
* Adds getCurrerntActiveProfile to retrieve Data Subject Identifier programmatically
* Modifies logic to prevent issues if iOS Root View Controller changes after `startSDK` initialization

# 6.33.0
* Updates to OneTrust 6.33.0

# 6.32.0
* Updates to OneTrust 6.32.0
* Added documentation to the ReadMe to solve dependency clashes in Android

# 6.31.0
* Updates to OneTrust 6.31.0

# 6.30.0
* Updates to OneTrust 6.30.0
* **Note:** Dependency updates in Android require the application to target/compile to API 31

# 6.29.0
* Increases peer dependency support of React to accommodate versions >=16.8.1 <18.0.0
* Updates to OneTrust 6.29.0

# 6.28.0
* Updates to OneTrust 6.28.0

# 6.27.0
* Updates to OneTrust 6.27.0

# 6.26.0
* Updates to OneTrust 6.26.0
* Exposes Universal Consent interface and public methods

# 6.25.0
* Fixes type declaration issue for `profileSyncParams`
* Updates iOS to OneTrust 6.25.1, Android to OneTrust 6.25.0
* This release supports Xcode 13
* Drops minimum Cocoapods deployment target to iOS 10

# 6.24.0
* Updates to OneTrust 6.24.0

# 6.23.0
* Updates to OneTrust 6.23.0

# 6.22.0
* Updates to OneTrust 6.22.0
* **Deprecates** `initOTSDKData` in favor of `startSDK`

# 6.21.1
* Fixes Android issue where app could crash in background if `autoShowBanner` was set to TRUE and app was backgrounded before download was complete

# 6.21.0
* Updates to OneTrust 6.21.0
* Accepts `androidUXParams` as argument in startSDK params object
  * This is used for setting custom UI/UX behavior in Android
  * See ReadMe for setup instructions

# 6.20.0
* Updates to OneTrust 6.20.0
* See the native sections of the [developer portal]("https://developer.onetrust.com) for some key updates:
  * App Tracking Transparency Purpose Linking
  * Support for Universal Consent Purposes

# 6.19.0
* Updates to OneTrust 6.19.0

# 6.18.0
* Updated podspec and gradle to OneTrust version 6.18.0
* Exposed `showConsentUI` and `getATTStatus` methods to display ATT pre-prompt and check the status of the ATT
* Fixed issue where `stopListeningForConsentChanges()` could cause a crash if called when no receivers were registered

# 6.17.0
* Released to NPM directly
* Updated podspec and gradle to OneTrust 6.17.0

# 6.16.0
* Fixed issue where `stopListeningForConsentChanges()` was not calling the correct function in iOS
* Updated podspec and gradle to OneTrust version 6.16.0
* Readme updates to reflect auto-installation information via Yarn
* Added CHANGELOG file to package
